Ticket #34973

日本語点訳で (日) と (火) の区別がつかない

Open Date: 2015-03-09 22:50 Last Update: 2015-06-03 21:50

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: テキスト解析 MileStone: 2015.2jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

日本語点訳で (日) と (火) の区別がつかない (どちらも「ヒ」になっている?) というご指摘をいただきました。

以下、一部改変して引用:

点字ディスプレイ出力について、
以下のことが区別しにくくて困っています。

2015/03/07(土)

のような日付と曜日の書き方をすることがあります。

(土) はまだ良いのですが、
(日)や(火)などは点字表示は同じになります。
文字の詳細を確認しなければ区別できません。

上記のような曜日の書き方はわりと多いと思うので、
(にち)(げつ)(か)(すい)(もく)(きん)(ど)
の表示にしてはどうでしょうか。

Attachment File List

No attachments

Ticket History (3/4 Histories)

2015-03-09 22:50 Updated by: nishimoto
  • New Ticket "日本語点訳で (日) と (火) の区別がつかない" created
2015-03-12 22:31 Updated by: nishimoto
Comment

Mecab の辞書登録で "(日)" を "(ニチ)" に対応させる方法を提案していただいて、 試してみたのですが、 ポジションマッピング(タッチカーソルのセル位置と画面上の文字位置の対応付け)を 正確に計算できないようなので、もうすこし工夫が必要と思います。

2015-03-12 23:07 Updated by: nishimoto
  • Milestone Update from (None) to 2015.2jp (closed)
  • Resolution Update from None to Fixed
  • Component Update from (None) to テキスト解析
Comment

本件の作業ブランチ:

To git@bitbucket.org:nvdajp/nvdajpmiscdep.git
   0ac14a6..ad2f87d  ti34973 -> ti34973
  • (日)(月)(火)(水)(木)(金)(土)の7種類の表記を Mecab 辞書に登録
  • テキスト解析結果を処理する Python 実装で、これらの単語を個別に処理して、文法的に正しい形態素に再度分割

ちなみにいままでは 月=ツキ、水=ミズ、木=キ と解析されていました。

今回の実装は JTalk 音声エンジンにも影響が及ぶので、念のために確認しておきたいと思います。

2015-06-03 21:50 Updated by: nishimoto
  • Ticket Close date is changed to 2015-06-03 21:50
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login